Executive Summary

Informations
NameCVE-2007-0002First vendor Publication2007-03-16
VendorCveLast vendor Modification2011-09-09

Security-Database Scoring CVSS v2

Cvss vector : (AV:N/AC:M/Au:N/C:C/I:C/A:C)
Cvss Base Score9.3Attack RangeNetwork
Cvss Impact Score10Attack ComplexityMedium
Cvss Expoit Score8.6AuthenticationNone Required
Calculate full CVSS 2.0 Vectors scores

Security Protection

ImpactsProvides administrator access : Allows complete confidentiality, integrity, and availability violation; Allows unauthorized disclosure of information; Allows disruption of service.

Detail

Multiple heap-based buffer overflows in WordPerfect Document importer/exporter (libwpd) before 0.8.9 allow user-assisted remote attackers to cause a denial of service (application crash) and possibly execute arbitrary code via a crafted WordPerfect file in which values to loop counters are not properly handled in the (1) WP3TablesGroup::_readContents and (2) WP5DefinitionGroup_DefineTablesSubGroup::WP5DefinitionGroup_DefineTablesSubGroup functions. NOTE: the integer overflow has been split into CVE-2007-1466.

Original Source

Url : http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-0002

CWE : Common Weakness Enumeration

idName
CWE-119Failure to Constrain Operations within the Bounds of a Memory Buffer

OVAL Definitions

Definition Id: oval:org.mitre.oval:def:11535
 
Oval ID: oval:org.mitre.oval:def:11535
Title: Multiple heap-based buffer overflows in WordPerfect Document importer/exporter (libwpd) before 0.8.9 allow user-assisted remote attackers to cause a denial of service (application crash) and possibly execute arbitrary code via a crafted WordPerfect file in which values to loop counters are not properly handled in the (1) WP3TablesGroup::_readContents and (2) WP5DefinitionGroup_DefineTablesSubGroup::WP5DefinitionGroup_DefineTablesSubGroup functions. NOTE: the integer overflow has been split into CVE-2007-1466.
Description: Multiple heap-based buffer overflows in WordPerfect Document importer/exporter (libwpd) before 0.8.9 allow user-assisted remote attackers to cause a denial of service (application crash) and possibly execute arbitrary code via a crafted WordPerfect file in which values to loop counters are not properly handled in the (1) WP3TablesGroup::_readContents and (2) WP5DefinitionGroup_DefineTablesSubGroup::WP5DefinitionGroup_DefineTablesSubGroup functions. NOTE: the integer overflow has been split into CVE-2007-1466.
Family: unix Class: vulnerability
Reference(s): CVE-2007-0002
Version: 5
Platform(s): Red Hat Enterprise Linux 5
CentOS Linux 5
Oracle Linux 5
Product(s):
Definition Synopsis:

CPE : Common Platform Enumeration

TypeDescriptionCount
Application4

OpenVAS Exploits

DateDescription
2009-04-09Name : Mandriva Update for libwpd MDKSA-2007:063 (libwpd)
File : nvt/gb_mandriva_MDKSA_2007_063.nasl
2009-04-09Name : Mandriva Update for openoffice.org MDKSA-2007:064 (openoffice.org)
File : nvt/gb_mandriva_MDKSA_2007_064.nasl
2009-03-23Name : Ubuntu Update for libwpd vulnerability USN-437-1
File : nvt/gb_ubuntu_USN_437_1.nasl
2009-02-27Name : Fedora Update for libwpd FEDORA-2007-350
File : nvt/gb_fedora_2007_350_libwpd_fc5.nasl
2009-02-27Name : Fedora Update for libwpd FEDORA-2007-351
File : nvt/gb_fedora_2007_351_libwpd_fc6.nasl
2009-01-28Name : SuSE Update for OpenOffice_org,libwpd SUSE-SA:2007:023
File : nvt/gb_suse_2007_023.nasl
2008-09-24Name : Gentoo Security Advisory GLSA 200704-07 (libwpd)
File : nvt/glsa_200704_07.nasl
2008-09-24Name : Gentoo Security Advisory GLSA 200704-12 (OpenOffice.org)
File : nvt/glsa_200704_12.nasl
2008-01-17Name : Debian Security Advisory DSA 1268-1 (libwpd)
File : nvt/deb_1268_1.nasl
2008-01-17Name : Debian Security Advisory DSA 1270-1 (openoffice.org)
File : nvt/deb_1270_1.nasl
2008-01-17Name : Debian Security Advisory DSA 1270-2 (openoffice.org)
File : nvt/deb_1270_2.nasl

Open Source Vulnerability Database (OSVDB)

idDescription
33315WordPerfect Document importer/exporter (libwpd) Crafted File Handling Multipl...

Snort® IPS/IDS

DateDescription
2014-01-10WordPerfect WP3TablesGroup heap overflow attempt
RuleID : 21437 - Revision : 5 - Type : FILE-OTHER

Nessus® Vulnerability Scanner

DateDescription
2007-12-13Name : The remote SuSE 10 host is missing a security-related patch.
File : suse_OpenOffice_org-2651.nasl - Type : ACT_GATHER_INFO
2007-11-10Name : The remote Ubuntu host is missing one or more security-related patches.
File : ubuntu_USN-437-1.nasl - Type : ACT_GATHER_INFO
2007-10-17Name : The remote SuSE system is missing the security patch OpenOffice_org-2652
File : suse_OpenOffice_org-2652.nasl - Type : ACT_GATHER_INFO
2007-10-17Name : The remote SuSE system is missing the security patch OpenOffice_org-2682
File : suse_OpenOffice_org-2682.nasl - Type : ACT_GATHER_INFO
2007-10-17Name : The remote SuSE system is missing the security patch libwpd-2642
File : suse_libwpd-2642.nasl - Type : ACT_GATHER_INFO
2007-10-17Name : The remote SuSE system is missing the security patch libwpd-3038
File : suse_libwpd-3038.nasl - Type : ACT_GATHER_INFO
2007-05-25Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2007-0055.nasl - Type : ACT_GATHER_INFO
2007-04-19Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-200704-12.nasl - Type : ACT_GATHER_INFO
2007-04-10Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-200704-07.nasl - Type : ACT_GATHER_INFO
2007-04-06Name : The remote Windows host has a program that may be affected by multiple vulner...
File : openoffice_220.nasl - Type : ACT_GATHER_INFO
2007-04-05Name : The remote Slackware host is missing a security update.
File : Slackware_SSA_2007-085-02.nasl - Type : ACT_GATHER_INFO
2007-03-26Name : The remote Fedora Core host is missing a security update.
File : fedora_2007-350.nasl - Type : ACT_GATHER_INFO
2007-03-26Name : The remote Fedora Core host is missing a security update.
File : fedora_2007-351.nasl - Type : ACT_GATHER_INFO
2007-03-26Name : The remote Debian host is missing a security-related update.
File : debian_DSA-1270.nasl - Type : ACT_GATHER_INFO
2007-03-18Name : The remote Debian host is missing a security-related update.
File : debian_DSA-1268.nasl - Type : ACT_GATHER_INFO
2007-03-18Name : The remote Mandrake Linux host is missing one or more security updates.
File : mandrake_MDKSA-2007-063.nasl - Type : ACT_GATHER_INFO
2007-03-18Name : The remote Mandrake Linux host is missing one or more security updates.
File : mandrake_MDKSA-2007-064.nasl - Type : ACT_GATHER_INFO

Internal Sources (Detail)

SourceUrl
BIDhttp://www.securityfocus.com/bid/23006
BUGTRAQhttp://www.securityfocus.com/archive/1/archive/1/463033/100/0/threaded
CONFIRMhttp://sourceforge.net/project/shownotes.php?release_id=494122
DEBIANhttp://www.debian.org/security/2007/dsa-1268
http://www.debian.org/security/2007/dsa-1270
FEDORAhttp://fedoranews.org/cms/node/2805
GENTOOhttp://security.gentoo.org/glsa/glsa-200704-07.xml
http://www.gentoo.org/security/en/glsa/glsa-200704-12.xml
IDEFENSEhttp://labs.idefense.com/intelligence/vulnerabilities/display.php?id=490
MANDRIVAhttp://www.mandriva.com/security/advisories?name=MDKSA-2007:063
http://www.mandriva.com/security/advisories?name=MDKSA-2007:064
REDHAThttp://www.redhat.com/support/errata/RHSA-2007-0055.html
SECTRACKhttp://www.securitytracker.com/id?1017789
SECUNIAhttp://secunia.com/advisories/24465
http://secunia.com/advisories/24507
http://secunia.com/advisories/24557
http://secunia.com/advisories/24572
http://secunia.com/advisories/24573
http://secunia.com/advisories/24580
http://secunia.com/advisories/24581
http://secunia.com/advisories/24588
http://secunia.com/advisories/24591
http://secunia.com/advisories/24593
http://secunia.com/advisories/24613
http://secunia.com/advisories/24794
http://secunia.com/advisories/24856
http://secunia.com/advisories/24906
SLACKWAREhttp://slackware.com/security/viewer.php?l=slackware-security&y=2007&...
SUNALERThttp://sunsolve.sun.com/search/document.do?assetkey=1-26-102863-1
SUSEhttp://lists.suse.com/archive/suse-security-announce/2007-Mar/0007.html
UBUNTUhttp://www.ubuntu.com/usn/usn-437-1
VUPENhttp://www.vupen.com/english/advisories/2007/0976
http://www.vupen.com/english/advisories/2007/1032
http://www.vupen.com/english/advisories/2007/1339

Alert History

If you want to see full details history, please login or register.
0
1
2
DateInformations
2014-02-17 10:38:25
  • Multiple Updates
2014-01-19 21:23:44
  • Multiple Updates
2013-05-11 00:39:00
  • Multiple Updates